Index: tests/Python/AllActions/options.dat
===================================================================
--- tests/Python/AllActions/options.dat	(revision f5724f5e9fef76b193afb7727d363143bd251f59)
+++ tests/Python/AllActions/options.dat	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
@@ -206,4 +206,5 @@
 store-grids	"0"
 store-saturated-fragment	"BondFragment"
+store-session	"test.sh"
 stretch-bond	"1.5"
 stretch	"1. 1. 1."
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision f5724f5e9fef76b193afb7727d363143bd251f59)
+++ tests/regression/Makefile.am	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
@@ -101,15 +101,16 @@
 	$(srcdir)/Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
 	$(srcdir)/Options/testsuite-options.at \
+	$(srcdir)/Options/BondLengthTable/testsuite-options-bond-length-table.at \
+	$(srcdir)/Options/ElementsDb/testsuite-options-no-elements-db.at \
+	$(srcdir)/Options/ElementsDb/testsuite-options-elements-db.at \
+	$(srcdir)/Options/Empty/testsuite-options-empty-configs.at \
+	$(srcdir)/Options/FastParsing/testsuite-options-fast-parsing.at \
+	$(srcdir)/Options/Help/testsuite-options-help.at \
+	$(srcdir)/Options/InvalidCommands/testsuite-options-invalid-commands.at \
+	$(srcdir)/Options/Session/testsuite-options-store-session.at \
+	$(srcdir)/Options/SetDefaultName/testsuite-options-set-default-name.at \
+	$(srcdir)/Options/SetWorldTime/testsuite-options-set-world-time.at \
 	$(srcdir)/Options/Verbosity/testsuite-options-verbosity.at \
 	$(srcdir)/Options/Warranty/testsuite-options-warranty.at \
-	$(srcdir)/Options/Help/testsuite-options-help.at \
-	$(srcdir)/Options/ElementsDb/testsuite-options-no-elements-db.at \
-	$(srcdir)/Options/ElementsDb/testsuite-options-elements-db.at \
-	$(srcdir)/Options/BondLengthTable/testsuite-options-bond-length-table.at \
-	$(srcdir)/Options/FastParsing/testsuite-options-fast-parsing.at \
-	$(srcdir)/Options/SetDefaultName/testsuite-options-set-default-name.at \
-	$(srcdir)/Options/SetWorldTime/testsuite-options-set-world-time.at \
-	$(srcdir)/Options/Empty/testsuite-options-empty-configs.at \
-	$(srcdir)/Options/InvalidCommands/testsuite-options-invalid-commands.at \
 	$(srcdir)/Parser/testsuite-parser.at \
 	$(srcdir)/Parser/Mpqc/testsuite-parser-mpqc-empty.at \
Index: tests/regression/Options/Session/post/test.sh
===================================================================
--- tests/regression/Options/Session/post/test.sh	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
+++ tests/regression/Options/Session/post/test.sh	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
@@ -0,0 +1,2 @@
+../../molecuilder \
+--verbose "2" --version
Index: tests/regression/Options/Session/testsuite-options-store-session.at
===================================================================
--- tests/regression/Options/Session/testsuite-options-store-session.at	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
+++ tests/regression/Options/Session/testsuite-options-store-session.at	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
@@ -0,0 +1,32 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### store session
+
+AT_SETUP([Standard Options - store session])
+AT_KEYWORDS([options store-session])
+#AT_TESTED([bash diff])
+
+# check that session is stored and can be executed when correctly prefixed
+file=test.sh
+AT_DATA([$file], [../../molecuilder \ 
+])
+AT_CHECK([../../molecuilder --verbose 2 --version --store-session $file], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Options/Session/post/$file], 0, [ignore], [ignore]) 
+AT_CHECK([bash ./$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Options/testsuite-options.at
===================================================================
--- tests/regression/Options/testsuite-options.at	(revision f5724f5e9fef76b193afb7727d363143bd251f59)
+++ tests/regression/Options/testsuite-options.at	(revision bad5892f291d8daf3db1451bbb7b43e57a1b3f40)
@@ -49,2 +49,4 @@
 m4_include([Options/InvalidCommands/testsuite-options-invalid-commands.at])
 
+# test store sessions
+m4_include([Options/Session/testsuite-options-store-session.at])
